List questions

GET
/surveys/{survey_id}/questions

Returns the questions of the published survey in their order. The list is never split into pages; meta.page_size is the number of questions returned.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API token of the account (ph_ followed by 48 characters), created in the account settings under API access.

Path Parameters

survey_id*string

UUID of the survey (id from List surveys).

Formatuuid

Query Parameters

include_deleted?boolean

true also returns questions that were deleted from the survey. Useful because older responses can refer to them.

Defaultfalse

Response Body

The questions of the survey.

application/json
  1. response
data*array<>
links*
meta*
curl -X GET 'https://app.poll-hero.com/api/v1/surveys/42293d51-fdd7-49cb-a693-cc6f9f0a070b/questions'
{  "data": [    {      "id": "de184da0-572b-4a7d-94d2-ada144566528",      "type": "single",      "original_type": "Single Select",      "question": "How did you hear about us?",      "introduction": null,      "position": 1,      "required": true,      "active": true,      "deleted_at": null,      "answer_choices": [        {          "content": "Search engine",          "allows_free_text": false        },        {          "content": "Other",          "allows_free_text": true        }      ]    },    {      "id": "5b0c7c0e-2f0e-4f0a-9d53-0c4f3a1f7a11",      "type": "nps",      "original_type": "Net Promoter Score",      "question": "How likely are you to recommend us?",      "introduction": null,      "position": 2,      "required": true,      "active": true,      "deleted_at": null,      "scale": {        "min": 0,        "max": 10      }    }  ],  "links": {    "first": "https://app.poll-hero.com/api/v1/surveys/42293d51-fdd7-49cb-a693-cc6f9f0a070b/questions",    "prev": null,    "next": null  },  "meta": {    "page_size": 2  }}